module.exports = {
	"env": {
		"browser": true,
		"amd": true
	},
	"extends": "eslint:recommended",
	"rules": {
		"accessor-pairs": "error",
		"array-bracket-spacing": "off",
		"array-callback-return": "error",
		"arrow-body-style": "off",
		"arrow-parens": "off",
		"arrow-spacing": "off",
		"block-scoped-var": "error",
		"block-spacing": [
			"error",
			"always"
		],
		"brace-style": "off",
		"callback-return": "off",
		"camelcase": "off",
		"comma-dangle": "error",
		"comma-spacing": "off",
		"comma-style": ["error", "first"],
		"complexity": "off",
		"computed-property-spacing": "off",
		"consistent-return": "off",
		"consistent-this": "off",
		"curly": "error",
		"default-case": "off",
		"dot-location": [
			"error",
			"property"
		],
		"dot-notation": "off",
		"eol-last": "off",
		"eqeqeq": "error",
		"func-names": "off",
		"func-style": "off",
		"generator-star-spacing": "off",
		"global-require": "off",
		"guard-for-in": "error",
		"handle-callback-err": "off",
		"id-blacklist": "error",
		"id-length": "off",
		"id-match": "off",
		"indent": "off",
		"init-declarations": "off",
		"jsx-quotes": "off",
		"key-spacing": "off",
		"keyword-spacing": "off",
		"linebreak-style": "off",
		"lines-around-comment": "off",
		"max-depth": ["error", 4],
		"max-len": "off",
		"max-lines": "off",
		"max-nested-callbacks": ["error", 4],
		"max-params": "off",
		"max-statements": "off",
		"max-statements-per-line": ["error", { "max": 1 }],
		"multiline-ternary": "off",
		"new-parens": "error",
		"newline-after-var": "off",
		"newline-before-return": "off",
		"newline-per-chained-call": "off",
		"no-alert": "error",
		"no-array-constructor": "off",
		"no-bitwise": "off",
		"no-caller": "error",
		"no-catch-shadow": "error",
		"no-confusing-arrow": "off",
		"no-console": "off",
		"no-continue": "error",
		"no-div-regex": "error",
		"no-duplicate-imports": "off",
		"no-else-return": "off",
		"no-empty-function": "error",
		"no-eq-null": "off",
		"no-eval": "error",
		"no-extend-native": "error",
		"no-extra-bind": "error",
		"no-extra-label": "off",
		"no-extra-parens": "off",
		"no-floating-decimal": "error",
		"no-implicit-globals": "error",
		"no-implied-eval": "error",
		"no-inline-comments": "off",
		"no-inner-declarations": [
			"error",
			"functions"
		],
		"no-invalid-this": "off",
		"no-iterator": "off",
		"no-irregular-whitespace": "off",
		"no-label-var": "off",
		"no-labels": "off",
		"no-lone-blocks": "error",
		"no-lonely-if": "off",
		"no-loop-func": "error",
		"no-magic-numbers": "off",
		"no-mixed-operators": "off",
		"no-mixed-requires": "off",
		"no-multi-spaces": "off",
		"no-multi-str": "error",
		"no-multiple-empty-lines": "off",
		"no-negated-condition": "off",
		"no-nested-ternary": "error",
		"no-new": "off",
		"no-new-func": "error",
		"no-new-object": "error",
		"no-new-require": "off",
		"no-new-wrappers": "off",
		"no-octal-escape": "error",
		"no-param-reassign": "off",
		"no-path-concat": "off",
		"no-plusplus": "off",
		"no-process-env": "off",
		"no-process-exit": "off",
		"no-proto": "error",
		"no-prototype-builtins": "off",
		"no-restricted-globals": "off",
		"no-restricted-imports": "off",
		"no-restricted-modules": "off",
		"no-restricted-syntax": "off",
		"no-return-assign": "off",
		"no-script-url": "error",
		"no-self-compare": "error",
		"no-sequences": "error",
		"no-shadow": "off",
		"no-shadow-restricted-names": "error",
		"no-spaced-func": "off",
		"no-sync": "off",
		"no-ternary": "off",
		"no-throw-literal": "error",
		"no-trailing-spaces": "off",
		"no-undef-init": "error",
		"no-undefined": "off",
		"no-underscore-dangle": "off",
		"no-unmodified-loop-condition": "off",
		"no-unneeded-ternary": "error",
		"no-unused-expressions": [
			"error",
			{
				"allowShortCircuit": true,
				"allowTernary": true
			}
		],
		"no-use-before-define": "off",
		"no-useless-call": "error",
		"no-useless-computed-key": "off",
		"no-useless-concat": "error",
		"no-useless-constructor": "off",
		"no-useless-escape": "off",
		"no-useless-rename": "off",
		"no-var": "off",
		"no-void": "error",
		"no-warning-comments": "off",
		"no-whitespace-before-property": "error",
		"no-with": "error",
		"object-curly-newline": "off",
		"object-curly-spacing": "off",
		"object-property-newline": [
			"error",
			{
				"allowMultiplePropertiesPerLine": true
			}
		],
		"object-shorthand": "off",
		"one-var": "off",
		"one-var-declaration-per-line": [
			"error",
			"initializations"
		],
		"operator-assignment": [
			"error",
			"always"
		],
		"operator-linebreak": ["error", "after"],
		"padded-blocks": "off",
		"prefer-arrow-callback": "off",
		"prefer-const": "off",
		"prefer-reflect": "off",
		"prefer-rest-params": "off",
		"prefer-spread": "off",
		"prefer-template": "off",
		"quote-props": "off",
		"quotes": [
			"error",
			"single",
			{"avoidEscape": true}
		],
		"radix": "off",
		"require-jsdoc": "off",
		"rest-spread-spacing": "off",
		"semi": "error",
		"semi-spacing": "off",
		"sort-imports": "off",
		"sort-vars": "off",
		"space-before-blocks": "off",
		"space-before-function-paren": "off",
		"space-in-parens": "off",
		"space-infix-ops": "off",
		"space-unary-ops": "off",
		"spaced-comment": "off",
		"strict": "error",
		"template-curly-spacing": "off",
		"unicode-bom": "off",
		"valid-jsdoc": "off",
		"vars-on-top": "off",
		"wrap-iife": "error",
		"wrap-regex": "off",
		"yield-star-spacing": "off",
		"yoda": [
			"error",
			"never"
		]
	},
	"globals": {
		"SC": true,
		"nsglobal": true
	}
};