var fs = require('fs');

if(!isDirectory('../../.git/hooks')){//check if hooks directory exists
	fs.mkdirSync('../../.git/hooks');
}

// commit-msg hook
if(isFile('commit-msg') && isDirectory('../../.git/hooks')){
	fs.renameSync('commit-msg', '../../.git/hooks/commit-msg');
	console.log('OK: commit-msg hook file moved to ../../.git/hooks/commit-msg');
}else{// error details
	if(!isFile('commit-msg')){
		console.log('>>>ERROR: commit-msg not found or is not a file');
	}
	if(!isDirectory('../../.git/hooks')){
		console.log('>>>ERROR: invalid path ../../.git/hooks/commit-msg. Please, execute git init before installation');
	}
	throw 'Error, commit-msg hook installation failed';
	process.exit('error');
}

// pre-commit hook
if(isFile('pre-commit') && isDirectory('../../.git/hooks')){
	fs.renameSync('pre-commit', '../../.git/hooks/pre-commit');
	console.log('OK: pre-commit hook file moved to ../../.git/hooks/pre-commit');
}else{// error details
	if(!isFile('pre-commit')){
		console.log('>>>ERROR: pre-commit not found or is not a file');
	}
	if(!isDirectory('../../.git/hooks')){
		console.log('>>>ERROR: invalid path ../../.git/hooks/pre-commit. Please, execute git init before installation');
	}
	throw 'Error, pre-commit hook installation failed';
	process.exit('error');
}

//es-lint configuration
if(isFile('.eslintrc.js') && isRootDirectory('../../')){
	fs.renameSync('.eslintrc.js', '../../.eslintrc.js');
	console.log('OK: .eslintrc.js file moved to the root directory');
}else{// error details
	if(!isFile('.eslintrc.js')){
		console.log('>>>ERROR: .eslintrc.js not found or is not a file');
	}
	if(!isDirectory('../../')){
		console.log('>>>ERROR: invalid path ../../ Please, check that you run install from the root directory of SCA application');
	}
	throw 'Error, eslint configuration failed';
	process.exit('error');
}

if(isFile('.eslintignore') && isRootDirectory('../../')){
	fs.renameSync('.eslintignore', '../../.eslintignore');
	console.log('OK: .eslintignore file moved to the root directory');
}else{// error details
	if(!isFile('.eslintignore')){
		console.log('>>>ERROR: .eslintignore not found or is not a file');
	}
	if(!isDirectory('../../')){
		console.log('>>>ERROR: invalid path ../../ Please, check that you run install from the root directory of SCA application');
	}
	throw 'Error, eslint configuration failed';
	process.exit('error');
}

function isFile(path){
	try{
		if(!fs)var fs = require('fs');
		return fs.lstatSync(path).isFile();
	}catch(e){
		return false;
	}
}
function isDirectory(path){
	try{
		if(!fs)var fs = require('fs');
		return fs.lstatSync(path).isDirectory();
	}catch(e){
		return false;
	}
}
function isRootDirectory(path){
	try{
		var distroName = 'distro.json';
		path = path + distroName;
		if(!fs)var fs = require('fs');
		return fs.lstatSync(path).isFile();
	}catch(e){
		return false;
	}
}